For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deployment Pipelines

Get deployment pipelines

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of deployment pipelines

Default: 50
Responses
200

The deployment pipelines

application/json
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
get/deployment-pipelines
GET /api/deployment-pipelines HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The deployment pipelines

[
  {
    "id": 1,
    "name": "text",
    "integrationType": "text",
    "integrationKey": "text",
    "eventFilter": "text",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "params": "null",
    "integrationUrl": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    },
    "catalogue": {
      "id": "text",
      "name": "text",
      "type": "INBOUND",
      "iconUrl": "text",
      "documentationUrl": "text",
      "integrationPath": "text"
    }
  }
]

Create a new deployment pipeline.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
Responses
200

The newly created depoyment pipeline

application/json
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
post/deployment-pipelines
POST /api/deployment-pipelines HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 290

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "params": "null",
  "integrationUrl": "text",
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}
200

The newly created depoyment pipeline

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "params": "null",
  "integrationUrl": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}

Get a specific deployment pipeline

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
Responses
200

The requested deployment pipeline

application/json
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
get/deployment-pipelines/{id}
GET /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested deployment pipeline

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "params": "null",
  "integrationUrl": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}

Update the specific deployment pipeline

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
Responses
200

The updated deployment pipeline

application/json
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
put/deployment-pipelines/{id}
PUT /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 290

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "params": "null",
  "integrationUrl": "text",
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}
200

The updated deployment pipeline

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "params": "null",
  "integrationUrl": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}

Delete a specific deployment pipeline

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

Empty body delete response

delete/deployment-pipelines/{id}
DELETE /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

Empty body delete response

No content

Get the deployment pipeline with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the deployment pipeline

Query parameters
Responses
200

The requested deployment pipeline

application/json
idinteger · int64Optional
namestringRequired
integrationTypestringRequired
integrationKeystringOptional
eventFilterstringOptional

Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
paramsone ofOptional

Dynamic params based on the chosen integration type of the pipeline

Default: null
object · DPipeAPIParamsOptional

Deployment pipeline API integration params

Default: null
or
integrationUrlstringOptional
get/deployment-pipelines/name/{name}
GET /api/deployment-pipelines/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested deployment pipeline

{
  "id": 1,
  "name": "text",
  "integrationType": "text",
  "integrationKey": "text",
  "eventFilter": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "params": "null",
  "integrationUrl": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  }
}

Last updated

Was this helpful?